@charset "UTF-8";

body {
    background: #f1f2f7;
}

/*===============*/
/*====共用樣式====*/
/*===============*/
.login {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: 100%;
    min-height: 100vh;
    padding: 250px 0 120px 0;
}

.login__box {
    display: block;
    width: calc(100% - 120px);
    max-width: 700px;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 15px 40px rgba(44, 48, 67, .15);
}

/****圖片****/
.login__box__pic {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: 110px;
    height: 110px;
    border-radius: 50%;
    margin: -55px auto 0 auto;
    background: #fff;
    overflow: hidden;
}

.login__box__pic.plus::after {
    content: '+';
    position: absolute;
    top: 57.5%;
    left: 57.5%;
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: 21.5px;
    height: 21.5px;
    border-radius: 50%;
    font-size: 14px;
    line-height: 1;
    color: #fff;
    font-family: 'NotoSansTC-B';
    border: 2px solid #fff;
    background: linear-gradient(to bottom, #24cbd3 0%, #0bbac2 100%);
    overflow: hidden;
    z-index: 10;
}

.login__box__pic img {
    object-fit: contain;
    object-position: center;
    width: 40%;
    height: 40%;
}

/****內文區****/
.login__box__inner {
    display: block;
    width: calc(100% - 180px);
    margin: 0 auto 50px auto;
}

/**標題**/
.login__box__inner__title {
    display: block;
    width: 100%;
    text-align: center;
    margin: 0 auto 30px auto;
}

.login__box__inner__title__main {
    display: block;
    width: 100%;
    font-size: 35px;
    line-height: 1.2;
    color: #44464e;
    font-family: 'NotoSansTC-B';
    letter-spacing: 1px;
}

.login__box__inner__title__sub {
    display: block;
    width: 100%;
    font-size: 14px;
    line-height: 1.2;
    color: #b6bdcc;
    font-family: 'Poppins-EB';
    letter-spacing: 1px;
    margin: 7.5px auto 0 auto;
}

.login__box__inner__title__text {
    display: block;
    width: 100%;
    font-size: 17px;
    line-height: 2;
    color: #44464e;
    font-family: 'NotoSansTC-M';
    margin: 25px auto 0 auto;
    padding: 0 0 10px 0;
}

/**sns登入**/
.login__box__inner__sns {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: center;
    justify-content: center;
    width: 100%;
    padding: 0 0 20px 0;
    margin: 0 auto 30px auto;
    border-bottom: 2px solid rgba(91, 93, 101, .1);
}

.login__box__inner__sns__bt {
    width: calc((100% - 20px) / 3);
    margin: 0 10px 10px 0;
}

.login__box__inner__sns__bt:nth-of-type(3n) {
    margin: 0 0 10px 0;
}

/****資訊輸入區****/
.login__box__inner__form__item {
    display: block;
    width: 100%;
    margin: 0 0 20px 0;
}

.login__box__inner__form__item.nowrap {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: flex-start;
}

.login__box__inner__form__item__title {
    display: flex;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    font-size: 17px;
    line-height: 1.2;
    color: #44464e;
    font-family: 'NotoSansTC-M';
    margin: 0 0 15px 0;
}

.login__box__inner__form__item.nowrap .login__box__inner__form__item__title {
    width: auto;
    margin: 0 30px 0 0;
    flex: 0 0 auto;
}

.login__box__inner__form__item__title__main {
    display: block;
    width: 100%;
    flex: 0 1 100%;
}

.login__box__inner__form__item__title__main__notice {
    display: inline-block;
    line-height: 1.5;
    color: #ff0000;
    margin: 5px 0 0 0;
}

.login__box__inner__form__item__title__link {
    display: block;
    width: auto;
    color: #0cbbc3;
    padding: 0 0 0 5px;
    transition: opacity .4s ease-in-out;
    flex: 0 0 auto;
}

.login__box__inner__form__item__title__link:hover {
    opacity: .7;
}

.login__box__inner__form__item input[type="password"]+input[type="password"] {
    margin: 10px auto 0 auto;
}

.login__box__inner__form__item .c-address {
    flex-wrap: wrap;
    justify-content: space-between;
}

.login__box__inner__form__item .c-address__city,
.login__box__inner__form__item .c-address__area {
    width: calc(50% - 5px);
    margin: 0;
}

.login__box__inner__form__item .c-address__text {
    margin: 10px auto 0 auto;
}

.login__box__inner__form__btgroup {
    display: flex;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: center;
    justify-content: space-between;
    width: 100%;
}

.login__box__inner__form__btgroup__bt {
    justify-items: center;
    justify-content: center;
    width: 100%;
    padding: 25px 40px;
}

.login__box__inner__form__btgroup__bt.two {
    width: calc(50% - 10px);
}

.login__box__inner__form__btgroup__bt::after {
    margin: 0 0 0 20px;
}

/****內文文字訊息****/
.login__box__inner__form__info {
    display: block;
    width: 100%;
    font-size: 24px;
    line-height: 1.5;
    color: #44464e;
    font-family: 'NotoSansTC-M';
    text-align: center;
    margin: 70px auto;
}

/****底部****/
.login__box__bottom {
    display: block;
    width: 100%;
    padding: 25px 30px;
    border-top: 2px solid rgba(91, 93, 101, .1);
    text-align: center;
}

.login__box__bottom__text {
    display: block;
    width: 100%;
    font-size: 17px;
    line-height: 1.5;
    color: #44464e;
    font-family: 'NotoSansTC-M';
}

.login__box__bottom__text__item {
    padding: 0 10px 0 7.5px;
}

.login__box__bottom__text__item::after {
    content: '';
    position: absolute;
    bottom: .2em;
    right: -1px;
    display: block;
    width: 2px;
    height: 1em;
    background: #dfdfe3;
}

.login__box__bottom__text__item:first-of-type {
    padding: 0 10px 0 0;
}

.login__box__bottom__text__item:last-of-type {
    border: none;
    padding: 0 0 0 7.5px;
}

.login__box__bottom__text__item:last-child::after {
    display: none;
}

.login__box__bottom__text a {
    color: inherit;
    transition: opacity .4s ease-in-out;
}

.login__box__bottom__text a.green {
    color: #0cbbc3;
}

.login__box__bottom__text a:hover {
    opacity: .7;
}

.login__box__bottom__text br {
    display: none;
}

/*===============*/
/*====會員註冊====*/
/*===============*/

/****步驟條****/
.login__box__inner__step {
    display: block;
    width: 100%;
    margin: 0 0 40px 0;
}

.login__box__inner__step__list {
    display: flex;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: center;
    justify-content: center;
    width: 100%;
    counter-reset: item;
}

.login__box__inner__step__list__item {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    font-size: 16px;
    line-height: 1.2;
    color: #fff;
    font-family: 'NotoSansTC-M';
    background: #44464e;
    border-radius: 5px;
    counter-increment: item;
    margin: 0 calc((100% - 320px) / 3) 0 0;
}

.login__box__inner__step__list__item::before {
    content: counter(item, decimal);
    position: relative;
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: 21px;
    height: 21px;
    font-size: 13px;
    line-height: 1;
    color: inherit;
    font-family: 'Poppins-EB';
    border-radius: 50%;
    overflow: hidden;
    flex: 0 0 auto;
}

.login__box__inner__step__list__item::after {
    content: '.......';
    position: absolute;
    top: 9px;
    left: calc(100% + 6.5px);
    font-size: 14px;
    line-height: 1;
    color: #b6bdcc;
    font-family: 'Poppins-EB';
    letter-spacing: 3.5px;
    text-align: center;
}

.login__box__inner__step__list__item:last-of-type {
    margin: 0;
}

.login__box__inner__step__list__item:last-of-type::after {
    display: none;
}

.login__box__inner__step__list__item__text {
    display: none;
    width: auto;
    font-size: inherit;
    line-height: inherit;
    color: inherit;
    font-family: inherit;
    margin: 0 0 0 7.5px;
}

/**當前步驟樣式**/
.login__box__inner__step[data-step="1"] .login__box__inner__step__list__item:nth-of-type(1),
.login__box__inner__step[data-step="2"] .login__box__inner__step__list__item:nth-of-type(2),
.login__box__inner__step[data-step="3"] .login__box__inner__step__list__item:nth-of-type(3),
.login__box__inner__step[data-step="4"] .login__box__inner__step__list__item:nth-of-type(4) {
    width: 200px;
}

.login__box__inner__step[data-step="1"] .login__box__inner__step__list__item:nth-of-type(1)::before,
.login__box__inner__step[data-step="2"] .login__box__inner__step__list__item:nth-of-type(2)::before,
.login__box__inner__step[data-step="3"] .login__box__inner__step__list__item:nth-of-type(3)::before,
.login__box__inner__step[data-step="4"] .login__box__inner__step__list__item:nth-of-type(4)::before {
    color: #44464e;
    background: #fff;
}

.login__box__inner__step[data-step="1"] .login__box__inner__step__list__item:nth-of-type(1) .login__box__inner__step__list__item__text,
.login__box__inner__step[data-step="2"] .login__box__inner__step__list__item:nth-of-type(2) .login__box__inner__step__list__item__text,
.login__box__inner__step[data-step="3"] .login__box__inner__step__list__item:nth-of-type(3) .login__box__inner__step__list__item__text,
.login__box__inner__step[data-step="4"] .login__box__inner__step__list__item:nth-of-type(4) .login__box__inner__step__list__item__text {
    display: block;
}

/****驗證碼****/
.login__box__inner__form__item__verify {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: flex-start;
    justify-content: space-between;
    width: 100%;
}

.login__box__inner__form__item__verify__input {
    width: calc(100% - 185px);
}

.login__box__inner__form__item__verify__bt {
    width: 165px;
    padding: 25px 20px;
    margin: 0 0 0 20px;
    font-family: 'NotoSansTC';
    flex: 0 0 auto;
}

.login__box__inner__form__item__verify__notice {
    display: block;
    width: 100%;
    font-size: 17px;
    line-height: 1.2;
    color: #ff0000;
    font-family: 'NotoSansTC-M';
    margin: 15px 0 0 0;
    order: 3;
}

@media screen and (max-width: 1300px) {

    /*===============*/
    /*====共用樣式====*/
    /*===============*/
    .login {
        padding: 180px 0 110px 0;
    }
}

@media screen and (max-width: 991px) {

    /*===============*/
    /*====共用樣式====*/
    /*===============*/
    /****內文區****/
    .login__box__inner {
        width: calc(100% - 140px);
        margin: 0 auto 40px auto;
    }

    /**標題**/
    .login__box__inner__title__main {
        font-size: 32px;
    }

    /*===============*/
    /*====會員註冊====*/
    /*===============*/
    .login__box__inner__step__list__item::after {
        left: calc(100% + min(13px, calc(((100vw - 580px) / 3 - 54px) / 2)));
    }
}

@media screen and (max-width: 767px) {

    /*===============*/
    /*====共用樣式====*/
    /*===============*/
    .login__box {
        width: calc(100% - 60px);
    }

    /****內文區****/
    .login__box__inner {
        width: calc(100% - 60px);
    }

    .login__box__inner__form__item.nowrap {
        display: block;
    }

    .login__box__inner__form__item.nowrap .login__box__inner__form__item__title {
        margin: 0 0 10px 0;
    }

    .login__box__inner__form__btgroup {
        display: block;
    }

    .login__box__inner__form__btgroup__bt {
        margin: 0 auto 15px auto;
    }

    .login__box__inner__form__btgroup__bt:last-of-type {
        margin: 0 auto;
    }

    .login__box__inner__form__btgroup__bt.two {
        width: 100%;
    }

    /*===============*/
    /*====會員註冊====*/
    /*===============*/
    .login__box__inner__step__list__item {
        position: absolute;
        margin: 0;
        opacity: 0;
        pointer-events: none;
    }

    .login__box__inner__step__list__item::after {
        display: none;
    }

    /**當前步驟樣式**/
    .login__box__inner__step[data-step="1"] .login__box__inner__step__list__item:nth-of-type(1),
    .login__box__inner__step[data-step="2"] .login__box__inner__step__list__item:nth-of-type(2),
    .login__box__inner__step[data-step="3"] .login__box__inner__step__list__item:nth-of-type(3),
    .login__box__inner__step[data-step="4"] .login__box__inner__step__list__item:nth-of-type(4) {
        position: relative;
        width: 100%;
        opacity: 1;
        pointer-events: all;
    }

    /****驗證碼****/
    .login__box__inner__form__item__verify {
        display: block;
    }

    .login__box__inner__form__item__verify__input {
        width: 100%;
    }

    .login__box__inner__form__item__verify__bt {
        justify-items: center;
        justify-content: center;
        width: 100%;
        margin: 20px 0 0 0;
    }
}

@media screen and (max-width: 575px) {

    /*===============*/
    /*====共用樣式====*/
    /*===============*/
    .login {
        padding: 120px 0 80px 0;
    }

    .login__box {
        width: calc(100% - 40px);
    }

    /****圖片****/
    .login__box__pic {
        width: 90px;
        height: 90px;
        margin: -45px auto 0 auto;
    }

    .login__box__pic.plus::after {
        width: 19px;
        height: 19px;
        font-size: 12px;
    }

    /****內文區****/
    .login__box__inner {
        width: calc(100% - 40px);
        margin: 0 auto 20px auto;
    }

    /**標題**/
    .login__box__inner__title {
        margin: 0 auto 20px auto;
    }

    .login__box__inner__title__main {
        font-size: 20px;
    }

    .login__box__inner__title__sub {
        font-size: 13px;
        margin: 5px auto 0 auto;
    }

    .login__box__inner__title__text {
        font-size: 15px;
        padding: 0;
    }

    /**sns登入**/
    .login__box__inner__sns {
        border: none;
        padding: 0;
        margin: 0 auto 10px auto;
    }

    .login__box__inner__sns__bt {
        width: calc((100% - 10px) / 3);
        margin: 0 5px 10px 0;
    }

    /****資訊輸入區****/
    .login__box__inner__form__item {
        margin: 0 0 15px 0;
    }

    .login__box__inner__form__item__title {
        font-size: 15px;
        margin: 0 0 10px 0;
    }

    .login__box__inner__form__item input[type="password"]+input[type="password"] {
        margin: 7.5px auto 0 auto;
    }

    .login__box__inner__form__item .c-radio {
        margin: 0;
    }

    .login__box__inner__form__item .c-address {
        display: block;
    }

    .login__box__inner__form__item .c-address__city,
    .login__box__inner__form__item .c-address__area {
        width: 100%;
        margin: 0 auto 10px auto;
    }

    .login__box__inner__form__item .c-address__text {
        margin: 0 auto;
    }

    .login__box__inner__form__btgroup__bt {
        padding: 11px 15px;
        margin: 0 auto 10px auto;
    }

    /****內文文字訊息****/
    .login__box__inner__form__info {
        font-size: 20px;
        margin: 40px auto;
    }

    /****底部****/
    .login__box__bottom {
        padding: 15px 25px;
    }

    .login__box__bottom__text {
        font-size: 15px;
    }

    /*===============*/
    /*====會員註冊====*/
    /*===============*/

    /****步驟條****/
    .login__box__inner__step {
        margin: 0 0 30px 0;
    }

    /****驗證碼****/
    .login__box__inner__form__item__verify__bt {
        padding: 11px 15px;
    }

    .login__box__inner__form__item__verify__notice {
        font-size: 13px;
        margin: 7.5px 0 0 0;
    }
}

@media screen and (max-width: 350px) {

    .login__box__bottom__text br {
        display: block;
    }
}


/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}